/*
 * Copyright 2014 Red Hat, Inc.
 *
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  and Apache License v2.0 which accompanies this distribution.
 *
 *  The Eclipse Public License is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  The Apache License v2.0 is available at
 *  http://www.opensource.org/licenses/apache2.0.php
 *
 *  You may elect to redistribute this code under either of these licenses.
 */
package io.vertx.ext.auth.test.jwt;

import io.vertx.core.*;
import io.vertx.test.core.VertxTestBase;
import org.junit.Test;

public class JWTConcurrentCreationTest extends VertxTestBase {

    @Override
    protected VertxOptions getOptions() {
        return new VertxOptions().setEventLoopPoolSize(16);
    }

    @Test
    public void testParallelCreation() {
        vertx.deployVerticle(DummyVerticle.class.getName(), new DeploymentOptions().setInstances(512), res -> {
            assertTrue(res.succeeded());
            testComplete();
        });

        await();
    }
}